Opened 9 years ago

Last modified 9 years ago

#676 new task

revive support for GNU Objective-C runtime

Reported by: rme Owned by:
Priority: minor Milestone: Future Clozure CL
Component: Objective-C Bridge Version: trunk
Keywords: Cc:

Description

We have some code that attempts to support the GNU Objective-C runtime, but it's largely bit-rotted.

It might not be too hard to get it working again, and that would give us the option of using GNUstep.

Change History (1)

comment:1 Changed 9 years ago by gb

I read somewhere that the general plan is/was to make the GNU ObjC runtime compliant with the Apple ObjC 2.0 runtime. I don't know what time frame this is likely to happen in (or whether it's already happened), or if/when those parts of GNUstep that are sensitive to runtime issues will be changed.

(ObjC 2.0 needs some support in the compiler, as well, so ObjC runtime changes may be linked to some GCC changes.)

Note: See TracTickets for help on using tickets.